<table class="form" cellspacing="0">
    <tbody>
        <tr>
            <th style='width: 170px;'>ID prodeje:</th>
            <td><?= $this->order->getOrderId(); ?></td>
        </tr>
        <tr>
            <th>Stav prodeje:</th>
            <td><?= $this->order->getStatusId(); ?></td>
        </tr>
        <tr>
            <th>Datum a čas prodeje:</th>
            <td><?= $this->order->getOrderDate(); ?></td>
        </tr>
        <tr>
            <th>Celé jméno prodejce:</th>
            <td><?= $this->order->getFullName(); ?></td>
        </tr>
        <tr>
            <th>Telefon:</th>
            <td><?= $this->order->getPhone(); ?></td>
        </tr>
        <tr>
            <th>Email:</th>
            <td><?= $this->order->getEmail(); ?></td>
        </tr>
        <tr>
            <th>Adresa:</th>
            <td><?= $this->order->getAddress(); ?><br/>
                <?= $this->order->getCity(); ?><br/>
                PSČ: <?= $this->order->getZip(); ?></td>
        </tr>
        <tr>
            <th>Stát:</th>
            <td><?= $this->order->getCountryName(); ?></td>
        </tr>
        <tr>
            <th>Způsob dopravy:</th>
            <td><?= $this->order->getShippingTitle() . " (ID " . $this->order->getShippingId() . ")"; ?></td>
        </tr>
        <tr>
            <th>Způsob platby:</th>
            <td><?= $this->order->getPaymentTitle() . " (ID " . $this->order->getPaymentId() . ")"; ?></td>
        </tr>
        <tr>
            <th>Zpráva od zákazníka:</th>
            <td><p><?= $this->order->getMessage(); ?></p></td>
        </tr>                
        <tr>
            <td colspan='2'>
                <br />
                <h2>Prodané produkty:</h2>
                <table class="form" cellspacing="0">
                    <thead>
                        <tr>
                            <td>ID:</td>
                            <td>produkt:</td>
                            <td>velikost:</td>
                            <td>cena (za 1ks):</td>
                            <td>množství:</td>
                            <td>cena celkem:</td>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        foreach ($this->order->getOrderProducts() as $product) {
                            ?>
                            <tr>
                                <td><?= $product->getProductId(); ?></td>
                                <td><?= $product->getTitle(); ?></td>
                                <td><?= $product->getSize(); ?></td>
                                <td class='right'><?= $product->getPrice(); ?>,- kč</td>
                                <td class='right'><?= $product->getQuantity(); ?></td>
                                <td class='right'><?= $product->getTotalPrice(); ?>,- kč</td>
                            </tr>
                        <?php }
                        if ($this->order->getShippingPrice() > 0) {
                            ?>
                            <tr>
                                <td colspan='3'>
                                    <strong>Doprava:</strong> <?= $this->order->getShippingTitle(); ?>
                                </td>
                                <td class='right'>
                                    <b><?= $this->order->getShippingPrice(); ?>,- kč</b>
                                </td>
                                <td class='right'>
                                    <b><?= $this->order->getDeliveryCount(); ?></b>
                                </td>
                                <td class='right'>
                                    <b><?= $this->order->getShippingTotal(); ?>,- kč</b>
                                </td>
                            </tr>
                        <?php
                        }
                        if ($this->order->getPaymentPrice() > 0) {
                            ?>
                            <tr>
                                <td colspan='3'>
                                    <strong>Doprava:</strong> <?= $this->order->getPaymentTitle(); ?>
                                </td>
                                <td class='right'>
                                    <b><?= $this->order->getPaymentPrice(); ?>,- kč</b>
                                </td>
                                <td class='right'>
                                    <b><?= $this->order->getPaymentCount(); ?></b>
                                </td>
                                <td class='right'>
                                    <b><?= $this->order->getPaymentTotal(); ?>,- kč</b>
                                </td>
                            </tr>
<?php } ?>
                        <tr>
                            <td colspan='5'>
                                <h2>celkem:</h2>
                            </td>
                            <td class='right'>
                                <b><?= $this->order->getOrderTotal(); ?>,- kč</b>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <br/><br />
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <?php
                $login = Zend_Auth::getInstance()->getIdentity()->user_login_hashed;
                $role = Zend_Auth::getInstance()->getIdentity()->user_role;
                //$login je vyjimka pro marketu
                if ($login == '81d6f316d169150d0e8733866c38684d' or $role == 'admin' or $role == 'superadmin') {
                    ?>
                    <form action='/admin/sales/storno/' method='post' style='float: left'>
                        <input type='hidden' value='<?= $this->order->getOrderId() ?>' name='order_id'>
                        <input type='hidden' value='0' name='status_id'>                    
                        <input type='hidden' value='sales/edit/' name='redirect'>
                        <input type='submit' value='Stornovat prodej' style='padding-left: 10px; padding-right: 10px; height: 30px; margin: 10px; background-color: #EC7D41'>
                    </form>
                    <?php
                }
                ?>
            </td>
        </tr>
        <tr>
            <td colspan='2'>
                <h2>Historie prodeje:</h2>
                <table style='width: 99%; margin: 1px'>
                    <thead>
                        <tr>
                            <td>jméno:</td>
                            <td>stav:</td>
                            <td>poznámka:</td>
                            <td>datum:</td>
                        </tr>
                    </thead>
                    <tbody>
<?php foreach ($this->orderHistory as $k => $value) { ?>
                            <tr>
                                <td style='background-color: <?= $value['color'] ?>'><?= $value['user_name'] ?></td>
                                <td style='background-color: <?= $value['color'] ?>'><?= $value['title_cz'] ?></td>
                                <td style='background-color: <?= $value['color'] ?>'><?= $value['text'] ?></td>
                                <td style='background-color: <?= $value['color'] ?>'><?= $value['timestamp'] ?></td>
                            </tr>        
<?php } ?>
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>